import os
from dotenv import load_dotenv
import psycopg2
import pandas as pd

load_dotenv("/usr/src/app/.env")

def db_connect(db_name):
    conn = psycopg2.connect(
    host=os.getenv("DB_HOST"),
    database=db_name,
    user=os.getenv("DB_USER"),
    password=os.getenv("DB_PASSWORD"))
    return(conn)

def get_table(db_name, table_name):
    conn = db_connect(db_name)
    sql = f"select * from {table_name};"
    dat = pd.io.sql.read_sql_query(sql, conn)
    return(dat)
